org.apache.olingo.odata2.api.edm.provider

## Class CustomizableFeedMappings

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.CustomizableFeedMappings

- All Implemented Interfaces:
    EdmCustomizableFeedMappings

      public class CustomizableFeedMappings
      extends Object
      implements EdmCustomizableFeedMappings

  Objects of this class represent customizable feed mappings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomizableFeedMappings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmContentKind` | `getFcContentKind()` Get the content kind
    `Boolean` | `getFcKeepInContent()`
    `String` | `getFcNsPrefix()` Get the XML namespace prefix
    `String` | `getFcNsUri()` Get the XML namespace URI
    `String` | `getFcSourcePath()` Get the source path
    `String` | `getFcTargetPath()` Get the target path
    `Boolean` | `isFcKeepInContent()` Get the information if the property should be kept in the content
    `CustomizableFeedMappings` | `setFcContentKind(EdmContentKind fcContentKind)` Sets the `EdmContentKind`.
    `CustomizableFeedMappings` | `setFcKeepInContent(Boolean fcKeepInContent)` Sets if this is kept in content.
    `CustomizableFeedMappings` | `setFcNsPrefix(String fcNsPrefix)` Sets the prefix.
    `CustomizableFeedMappings` | `setFcNsUri(String fcNsUri)` Sets the Uri.
    `CustomizableFeedMappings` | `setFcSourcePath(String fcSourcePath)` Sets the source path.
    `CustomizableFeedMappings` | `setFcTargetPath(String fcTargetPath)` Sets the target path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomizableFeedMappings

          public CustomizableFeedMappings()

  - ### Method Detail

    - #### isFcKeepInContent

          public Boolean isFcKeepInContent()

      Description copied from interface: `EdmCustomizableFeedMappings`
      Get the information if the property should be kept in the content
      Specified by:
        `isFcKeepInContent` in interface `EdmCustomizableFeedMappings`
      Returns:
        `true` if the property must be kept in the content

    - #### getFcContentKind

          public EdmContentKind getFcContentKind()

      Description copied from interface: `EdmCustomizableFeedMappings`
      Get the content kind
      Specified by:
        `getFcContentKind` in interface `EdmCustomizableFeedMappings`
      Returns:
        `EdmContentKind`

    - #### getFcNsPrefix

          public String getFcNsPrefix()

      Description copied from interface: `EdmCustomizableFeedMappings`
      Get the XML namespace prefix
      Specified by:
        `getFcNsPrefix` in interface `EdmCustomizableFeedMappings`
      Returns:
        String

    - #### getFcNsUri

          public String getFcNsUri()

      Description copied from interface: `EdmCustomizableFeedMappings`
      Get the XML namespace URI
      Specified by:
        `getFcNsUri` in interface `EdmCustomizableFeedMappings`
      Returns:
        String

    - #### getFcSourcePath

          public String getFcSourcePath()

      Description copied from interface: `EdmCustomizableFeedMappings`
      Get the source path
      Specified by:
        `getFcSourcePath` in interface `EdmCustomizableFeedMappings`
      Returns:
        String

    - #### getFcTargetPath

          public String getFcTargetPath()

      Description copied from interface: `EdmCustomizableFeedMappings`
      Get the target path
      Specified by:
        `getFcTargetPath` in interface `EdmCustomizableFeedMappings`
      Returns:
        String

    - #### getFcKeepInContent

          public Boolean getFcKeepInContent()

      Returns:
        boolean

    - #### setFcKeepInContent

          public CustomizableFeedMappings setFcKeepInContent(Boolean fcKeepInContent)

      Sets if this is kept in content.
      Parameters:
        `fcKeepInContent` -
      Returns:
        `CustomizableFeedMappings` for method chaining

    - #### setFcContentKind

          public CustomizableFeedMappings setFcContentKind(EdmContentKind fcContentKind)

      Sets the `EdmContentKind`.
      Parameters:
        `fcContentKind` -
      Returns:
        `CustomizableFeedMappings` for method chaining

    - #### setFcNsPrefix

          public CustomizableFeedMappings setFcNsPrefix(String fcNsPrefix)

      Sets the prefix.
      Parameters:
        `fcNsPrefix` -
      Returns:
        `CustomizableFeedMappings` for method chaining

    - #### setFcNsUri

          public CustomizableFeedMappings setFcNsUri(String fcNsUri)

      Sets the Uri.
      Parameters:
        `fcNsUri` -
      Returns:
        `CustomizableFeedMappings` for method chaining

    - #### setFcSourcePath

          public CustomizableFeedMappings setFcSourcePath(String fcSourcePath)

      Sets the source path.
      Parameters:
        `fcSourcePath` -
      Returns:
        `CustomizableFeedMappings` for method chaining

    - #### setFcTargetPath

          public CustomizableFeedMappings setFcTargetPath(String fcTargetPath)

      Sets the target path.

      For standard Atom elements, constants are available in `EdmTargetPath`.

      Parameters:
        `fcTargetPath` -
      Returns:
        `CustomizableFeedMappings` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.